[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectStack.Peek

Look at the top object in the stack.

## Declaration

Source position: contnrs.pp line 160

`public function TObjectStack.Peek: TObject;`

## Function result

The top object on the stack, or Nil if the stack is empty.

## Description

Peek returns the top object of the stack, without removing it from the stack. If there are no more objects on the stack, Nil is returned.

## Errors

None

## See also

TObjectStack.Push |  | Push an object on the stack.
TObjectStack.Pop |  | Pop the top object of the stack.

Documentation generated on: Feb 26 2014